vMotion fejler efter opgradering til vCenter 522. September 201122. September 2011Gert Kjerslev
Efter opgradering af vCenter til version 5 har jeg oplevet at nogle VM’er ikke kunne migreres mellem mine hosts. I vCenter kommer denne fejl : Host CPU is incompatible with the virtual machine’s requirements at cupid level 0x1 register’ecx’ Host bits: 0000:0100:0000:1000:0010:0010:0000:0001 Required: 1000:0100:0000:100x:xxx0:0x1x:xxx0:x001 Mismatch detected for these features: *General incompatibilities; refer to KB article 1993 for possible solutions. I mit tilfælde kommer fejlen fordi at mit vCenter er opgraderet fra version 2.5 til 4.0 og derefter til 5.0. hvor gamle CPUmaskings er flytte med over. For at komme dette til livs er det nødvendigt at lukke VM’en ned og rette i dens HW konfiguration.
For at få vMotion til at virke korrekt (igen):
  1. Sluk VM’en.
  2. Klik på Edit Settings for VM’en.
  3. Klik Options.
  4. Vælge CPUID Mask under Advanced.
  5. Klik Advanced.
  6. Klik Reset All to Default.
  7. Klik OK.
  8. Klik OK igen.
  9. Tænd din VM og migrate.
Se evnt. denne VMware KB som beskriver problemet